"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.createTheme = void 0;

var _view = require("@codemirror/view");

var _language = require("@codemirror/language");

var createTheme = function createTheme(_ref) {
  var dark = _ref.dark,
      settings = _ref.settings,
      styles = _ref.styles;

  var theme = _view.EditorView.theme({
    '&': {
      backgroundColor: settings.background,
      color: settings.foreground
    },
    '.cm-content': {
      caretColor: settings.caret
    },
    '.cm-cursor, .cm-dropCursor': {
      borderLeftColor: settings.caret
    },
    '&.cm-focused .cm-selectionBackground .cm-selectionBackground, & .cm-selectionLayer .cm-selectionBackground, ::selection': {
      backgroundColor: settings.selection
    },
    '.cm-activeLine': {
      backgroundColor: settings.lineHighlight
    },
    '.cm-gutters': {
      backgroundColor: settings.gutterBackground,
      color: settings.gutterForeground
    },
    '.cm-activeLineGutter': {
      backgroundColor: settings.lineHighlight
    }
  }, {
    dark: dark === 'dark'
  });

  var highlightStyle = _language.HighlightStyle.define(styles);

  var extension = [theme, (0, _language.syntaxHighlighting)(highlightStyle)];
  return extension;
};

exports.createTheme = createTheme;
var _default = createTheme;
exports["default"] = _default;
//# sourceMappingURL=index.js.map