import { EditorView } from '@codemirror/view';
import { HighlightStyle, syntaxHighlighting } from '@codemirror/language';
export var createTheme = _ref => {
  var {
    dark,
    settings,
    styles
  } = _ref;
  var theme = EditorView.theme({
    '&': {
      backgroundColor: settings.background,
      color: settings.foreground
    },
    '.cm-content': {
      caretColor: settings.caret
    },
    '.cm-cursor, .cm-dropCursor': {
      borderLeftColor: settings.caret
    },
    '&.cm-focused .cm-selectionBackground .cm-selectionBackground, & .cm-selectionLayer .cm-selectionBackground, ::selection': {
      backgroundColor: settings.selection
    },
    '.cm-activeLine': {
      backgroundColor: settings.lineHighlight
    },
    '.cm-gutters': {
      backgroundColor: settings.gutterBackground,
      color: settings.gutterForeground
    },
    '.cm-activeLineGutter': {
      backgroundColor: settings.lineHighlight
    }
  }, {
    dark: dark === 'dark'
  });
  var highlightStyle = HighlightStyle.define(styles);
  var extension = [theme, syntaxHighlighting(highlightStyle)];
  return extension;
};
export default createTheme;
//# sourceMappingURL=index.js.map